#  Copyright (C) 2020-2021 Orange
#
#    Licensed under the Apache License, Version 2.0 (the "License"); you may
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.

apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources: []

generatorOptions:
  disableNameSuffixHash: true

secretGenerator:
- name: pooldef1-secret
  namespace: capm3
  literals:
  - username=pool-user-1
  - password=secret
- name: cred-vlan-144
  namespace: capm3
  literals:
  - username=admin-vlan-144
  - password=secret

